Look up a company by IP address
curl --request GET \
--url https://api.aws53.cloud/v1/data/company \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.aws53.cloud/v1/data/company"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.aws53.cloud/v1/data/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ip": "192.0.2.10",
"businessCategory": "Enterprise Business",
"businessSegment": "Software & Technology",
"dataCompleteness": "Detailed",
"isInternetProvider": false,
"name": "Example Software",
"website": "example.test",
"tradeName": "Example",
"industry": "Software",
"subIndustry": "",
"linkedinUrl": null,
"employeeCount": 100,
"annualSales": null,
"revenueRange": "",
"primaryNaics": "",
"primarySic": "",
"city": "",
"state": "",
"postalCode": "",
"countryCode": "US",
"countryName": "United States"
},
"meta": {
"credits_consumed": 1,
"limit": 5000,
"used": 1,
"remaining": 4999
}
}Company lookup
Look up a company by IP address
Look up stored company information for an IPv4 or IPv6 address. Each company result uses one lookup unit; a null result uses none.
GET
/
v1
/
data
/
company
Look up a company by IP address
See Lookup usage and limits for authentication, allowances, and error handling.
Authorizations
Organization API key (sk_...). Get yours from Settings > API Keys in the dashboard.
Query Parameters
One IPv4 or IPv6 address, without a URL, port, CIDR or IPv6 zone identifier.
Maximum string length:
64Example:
"192.0.2.10"
Was this page helpful?